EDIT - task #9999

Improve formatting for referencing objects of descriptive data
03/24/2022 01:37 PM - Andreas Mdller

Status: Closed Start date: 03/24/2022
Priority: Priority14 Due date: 03/29/2022
Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.31

Severity: normal

Description

... and add tests for RefrencingObjectFormatter class

Some classes are not well formatter yet:

Related issues:

Related to EDIT - feature request #9541: Improve referencing objects handling Closed
Related to EDIT - bug #7672: use taxonRelationship formatter for label in ref... New

Related to EDIT - feature request #5850: Further improve referencing objects ... Worksforme

Related to EDIT - bug #10051: Remaining issues for Referencing Objects View New

Associated revisions

Revision 2789aa85 - 03/24/2022 02:29 PM - Andreas Miiller

ref #9999 improve ReferencingObjectFormatter for CategoricalData, StateData and TextData and add test class for ReferencingObjectFormatter

Revision 715296b9 - 04/05/2022 07:34 PM - Andreas Miiller

ref #9999 add referencing object formatting for quantitative data, temporal data and individual associations

Revision 3189fb06 - 04/05/2022 07:36 PM - Andreas Miiller
ref #9999 NPE fix in referencing object formatting

History

#1 - 03/24/2022 01:38 PM - Andreas Miiller

- Related to feature request #9541: Improve referencing objects handling added

#2 - 03/24/2022 02:34 PM - Andreas Miiller
- Description updated

- Due date set to 03/29/2022

- Status changed from New to In Progress

- Priority changed from New to Priority14

- Start date set to 03/24/2022

- % Done changed from 0 to 40

#3 - 03/24/2022 02:42 PM - Andreas Miiller

- Related to bug #7672: use taxonRelationship formatter for label in referencing objects view added

#4 - 03/24/2022 02:47 PM - Andreas Miiller
- Related to feature request #5850: Further improve referencing objects label provider added

#6 - 04/05/2022 07:24 PM - Andreas Miiller
- Description updated

#7 - 04/05/2022 07:38 PM - Andreas Miiller

- Subject changed from Improve formatting for referencing objects to Improve formatting for referencing objects of descriptive data
- Status changed from In Progress to Closed

- % Done changed from 40 to 100
For now implementing all descriptive data formatting is enough. Open new ticket for further classes if needed.

#8 - 04/29/2022 03:18 PM - Andreas Miiller
- Related to bug #10051: Remaining issues for Referencing Objects View added
